//
// Base styles
//

.btn {
    color: $black;
    min-height: rem(46);
    font-weight: 700;
    font-size: rem(16);
    line-height: rem(24);
    outline: none;
    cursor: pointer;
    box-shadow: none;
    user-select: none;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    border-radius: rem(15);
    background: transparent;
    padding: rem(10) rem(20);
    white-space: $btn-white-space;
    border: rem(1) solid transparent;
    font-family: $font-family-primary;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        display: inline-block;
        flex-shrink: 0;
    }

    span {
        display: inline-block;
    }

    i +  span {
        margin-left: rem(9);
    }

    &:hover {
        transition: .3s;
        text-decoration: none;
    }

    &:focus {
        outline: none;
        text-decoration: none;
    }

    &:disabled,
    &.disabled,
    fieldset:disabled & {
        color: var(--#{$prefix}btn-disabled-color);
        pointer-events: none;
        background-color: var(--#{$prefix}btn-disabled-bg);
        background-image: if($enable-gradients, none, null);
        border-color: var(--#{$prefix}btn-disabled-border-color);
        opacity: var(--#{$prefix}btn-disabled-opacity);
        @include box-shadow(none);
    }

    @include media-breakpoint-up(md) {
        min-height: rem(50);
        padding: rem(12) rem(20);
    }
}


//
// Alternate buttons
//

.btn-primary {
    fill: $white;
    color: $white;
    background: $green;
    border-color: $green;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: $green-hover;
        border-color: $green-hover;
    }

    .btn-check:focus + &,
    &:focus,
    &.focus {
        background: $green-hover;
        border-color: $green-hover;
    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $green;
        border-color: $green;

        &:focus {
            background: $green;
            border-color: $green;
        }
    }
}

.btn-secondary {
    fill: $white;
    color: $white;
    background: $dark;
    border-color: $dark;

    &:hover,
    &.hover {
        fill: $white;
        color: $white;
        background: $green;
        border-color: $green;
    }

    &:focus,
    &.focus {
        background: $green;
        border-color: $green;
    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $dark;
        border-color: $dark;

        &:focus {
            background: $dark;
            border-color: $dark;
        }
    }

    &.selected {
        fill: $white;
        color: $white;
        background: $green;
        border-color: $green;
    }
}

.btn-success {
    fill: $white;
    color: $white;
    background: #5ED1B6;
    border-color: #5ED1B6;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: #4DAC96;
        border-color: #4DAC96;
    }

    &:focus,
    &.focus {
    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $green;
        border-color: $green;

        &:focus {
            fill: $white;
            color: $white;
        }
    }

    &.selected {
        color: $white;
        fill: $white;
        background: #4DAC96;
        border-color: #4DAC96;
    }
}

.btn-danger {
    fill: $white;
    color: $white;
    background: $red;
    border-color: $red;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: #CD484D;
        border-color: #CD484D;
    }

    &:focus,
    &.focus {

    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $red;
        border-color: $red;

        &:focus {
            fill: $white;
            color: $white;
        }
    }

    &.selected {
        color: $white;
        fill: $white;
        background: #CD484D;
        border-color: #CD484D;
    }
}

.btn-warning {
    fill: $dark;
    color: $dark;
    background: $yellow;
    border-color: $yellow;

    &:hover,
    &.hover {
        fill: $dark;
        color: $dark;
        background: #FFE3AD;
        border-color: #FFE3AD;
    }

    &:focus,
    &.focus {

    }

    &:active,
    &.active {
        fill: $dark;
        color: $dark;
        background: $yellow;
        border-color: $yellow;

        &:focus {
            fill: $dark;
            color: $dark;
        }
    }

    &.selected {
        fill: $dark;
        color: $dark;
        background: #FFE3AD;
        border-color: #FFE3AD;
    }
}

.btn-info {
    fill: $white;
    color: $white;
    background: $blue;
    border-color: $blue;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: #87C3FF;
        border-color: #87C3FF;
    }

    &:focus,
    &.focus {
    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $blue;
        border-color: $blue;

        &:focus {
            fill: $white;
            color: $white;
        }
    }

    &.selected {
        color: $white;
        fill: $white;
        background: #87C3FF;
        border-color: #87C3FF;
    }
}

.btn-light {
    fill: $dark;
    color: $dark;
    background: $white;
    border-color: $white;

    &:hover,
    &.hover {
        fill: $dark;
        color: $dark;
        background: #E9EAEA;
        border-color: #E9EAEA;
    }

    &:focus,
    &.focus {

    }

    &:active,
    &.active {
        fill: $dark;
        color: $dark;
        background: $white;
        border-color: $white;

        &:focus {
            fill: $dark;
            color: $dark;
        }
    }

    &.selected {
        fill: $dark;
        color: $dark;
        background: #E9EAEA;
        border-color: #E9EAEA;
    }
}

.btn-dark {
    fill: $white;
    color: $white;
    background: #2C2D31;
    border-color: #2C2D31;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: #000;
        border-color: #000;
    }

    &:focus,
    &.focus {

    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: #2C2D31;
        border-color: #2C2D31;

        &:focus {
            fill: $white;
            color: $white;
        }
    }

    &.selected {
        color: $white;
        fill: $white;
        background: #000;
        border-color: #000;
    }
}

.btn-invert {
    fill: $white;
    color: $white;
    background: $green;
    border-color: $white;

    &:hover,
    &.hover {
        color: $white;
        fill: $white;
        background: $dark;
        border-color: $white;
    }

    .btn-check:focus + &,
    &:focus,
    &.focus {
        background: $green-hover;
        border-color: $white;
    }

    &:active,
    &.active {
        fill: $white;
        color: $white;
        background: $green;
        border-color: $white;

        &:focus {
            background: $green;
            border-color: $green;
        }
    }

    @include media-breakpoint-up(md) {
        color: $dark;
        background: $white;
        border-color: $white;

        &:focus,
        &.focus {
            color: $dark;
            background: $white;
            border-color: $white;
        }
        &:active,
        &.active {
            fill: $dark;
            color: $dark;
            background: $white;
            border-color: $white;

            &:focus {
                background: $white;
                border-color: $white;
            }
        }
    }
}



//
// Link buttons
//

// Make a button look and behave like a link
.btn-link {
    fill: $green;
    color: $green;
    text-decoration: none;

    &.hover,
    &:hover {
        fill: $green-hover;
        color: $green-hover;
        background: transparent !important;
        text-decoration: none;
    }

    &.focus,
    &:focus {
        color: $green;
        background: transparent
    }

    &:disabled,
    &.disabled {
        fill: $gray;
        color: $gray;
    }

    &.active {
        fill: $green;
        color: $green;
    }

    &:active,
    &.active {
        fill: $green;
        color: $green;

        &:focus {
            fill: $green;
            color: $green;
        }
    }

    &.btn-loading {
        fill: $green;
        color: $green;
    }
}


//
// Button Sizes
//

.btn-lg {
  min-height: rem(56);
}

.btn-sm {
    min-height: rem(40);
    padding: rem(6) rem(18);

    @include media-breakpoint-up(md) {
        min-height: rem(38);
    }
}

.btn-md {

    @include media-breakpoint-up(md) {
        min-height: rem(45);
        padding: rem(9) rem(20);
    }
}
